export declare class _PdfImageResizer {
    minimumImageDimension: number;
    maximumImageDimension: number;
    error: number;
    goodSquareLength: number;
    isImageDecoderSupported: boolean;
    private _imgData;
    private _isMask;
    private _hasMaxArea;
    constructor();
    constructor(imgData: any, isMask: boolean);
    readonly canUseImageDecoder: any;
    _needsToBeResized(width: number, height: number): boolean;
    _getReducePowerForJPX(width: number, height: number, componentsCount: number): number;
    readonly _maximumDim: number;
    _maximumArea: number;
    _setOptions({ canvasMaxAreaInBytes, isImageDecoderSupported }: {
        canvasMaxAreaInBytes?: number;
        isImageDecoderSupported?: boolean;
    }): any;
    _areGoodDims(width: number, height: number): boolean;
    _guessMax(start: number, end: number, tolerance: number, defaultHeight: number): number;
    _createImageData(imgData: any, isMask?: boolean): any;
    _createImage(): any;
    _rescaleImageData(): any;
    _encodeBMP(): Uint8Array;
}
